/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2002 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.dynamo.except;

import org.w3c.dom.Node;

public class UnknownDialogFieldException extends DialogException
{
  /*--------------------------------------------------------------------------------
   * Constructors
   *--------------------------------------------------------------------------------
   */

  public UnknownDialogFieldException(String fieldname)
  {
    super(UnknownDialogFieldException.class,"DynamoExceptionMessages","udfe.bad.itemType");
    setParameter(0,fieldname);

  } // end constructor

  public UnknownDialogFieldException(String fieldname, Node locus)
  {
    super(UnknownDialogFieldException.class,"DynamoExceptionMessages","udfe.bad.itemType",locus);
    setParameter(0,fieldname);

  } // end constructor

  public UnknownDialogFieldException(String fieldname, Throwable inner)
  {
    super(UnknownDialogFieldException.class,"DynamoExceptionMessages","udfe.bad.itemType",inner);
    setParameter(0,fieldname);

  } // end constructor

  public UnknownDialogFieldException(String fieldname, Throwable inner, Node locus)
  {
    super(UnknownDialogFieldException.class,"DynamoExceptionMessages","udfe.bad.itemType",inner,locus);
    setParameter(0,fieldname);

  } // end constructor

} // end class UnknownDialogFieldException
